Bug 192098 - Fix problems with MSI-X on 64-bit platforms
Summary: Fix problems with MSI-X on 64-bit platforms
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Bastien Nocera
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 181409
TreeView+ depends on / blocked
 
Reported: 2006-05-17 15:48 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2006-08-10 23:20:23 UTC


Attachments (Terms of Use)
diff-2.6.16-rc3_msi_phys_addr-01 (2.85 KB, patch)
2006-05-17 15:48 UTC, Bastien Nocera
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0575 normal SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 4 2006-08-10 04:00:00 UTC

Description Bastien Nocera 2006-05-17 15:48:40 UTC
kernel-2.6.9-34.EL

From the upstream patch:
http://kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=a0454b40ee8fac03194bb71f01730266506e75e1

"Symptom will either be memory corruption or MCA."

This is needed on some 64-bit machines from HP, ia64 machines in particular.

Comment 1 Bastien Nocera 2006-05-17 15:48:42 UTC
Created attachment 129333 [details]
diff-2.6.16-rc3_msi_phys_addr-01

Comment 6 Ronald Pacheco 2006-05-25 16:59:24 UTC
HP is reporting data (memory) corruption on two Montecito platforms they plan to
launch just after U4 in early August.  

Per the developer of the patch (Grant Grundler), the patch is approved upstream
and considered necessary by both the maimtainer (Greg Kroah-Hartman) and the
maintainer for Infiniband (which was our primary concern).  This patch only
affects platforms with 64-bit firmware and is required for all PCI-X and PCI-e
devices.

Comment 12 Jason Baron 2006-06-23 18:15:34 UTC
committed in stream U4 build 39.2. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 16 Red Hat Bugzilla 2006-08-10 23:20:23 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html



Note You need to log in before you can comment on or make changes to this bug.